Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow.processor
Class PreProcessor

    java.lang.Object
      com.bea.portal.appflow.processor.AbstractPortalProcessor
          com.bea.portal.appflow.processor.PreProcessor

All Implemented Interfaces:
  com.bea.p13n.appflow.webflow.InputProcessor

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public class PreProcessor
extends AbstractPortalProcessor

The PreProcessor is the first processor called by the portal's own internal webflow, as defined by the `portal.wf` webflow file.
It has the following responsibilities:
Should auto-login (cookie based) be performed
Is a login "in progress".
otherwise return a portal webflow event so the appropriate framework processor can be invoked.

See Also:
  `PortalAppflowConstants.AUTO_LOGIN`, `PortalAppflowConstants.POST_LOGIN`, `PortalAppflowConstants.PORTLET_EVENT`, `PortalAppflowConstants.PORTLET_WEBFLOW_EVENT`, `PortalAppflowConstants.PORTLET_WEBFLOW_EVENT_PARAMETER`

Constructor Summary
`PreProcessor()` Deprecated. Default constructor (called by webflow).

Method Summary
`Object` | `process(HttpServletRequest request, HttpServletResponse response, PortalRequest portalRequest, Object requestContext)` Deprecated. Main process method called by webflow.

Methods inherited from class com.bea.portal.appflow.processor.AbstractPortalProcessor
`getCurrentPortletState, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreProcessor

    public PreProcessor()

  Deprecated.
  Default constructor (called by webflow). This processor is NOT session sensitive as it calls `super()`

Method Detail

### process

    public Object process(HttpServletRequest request,
                          HttpServletResponse response,
                          PortalRequest portalRequest,
                          Object requestContext)
                   throws com.bea.p13n.appflow.exception.ProcessingException

  Deprecated.
  Main process method called by webflow.

  Specified by:
    `process` in class `AbstractPortalProcessor`
  Returns:
    a String for webflow to evaluate the next processor to invoke.
  Throws:
    `com.bea.p13n.appflow.exception.ProcessingException`
  See Also:
    `PortalAppflowConstants.AUTO_LOGIN`, `PortalAppflowConstants.POST_LOGIN`, `PortalAppflowConstants.PORTLET_EVENT`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved